<template>
  <v-layout row justify-center>
    <v-dialog
      width="500"
      @input="close"
      :value="show"
      :scrollable="$vuetify.breakpoint.lgAndUp"
      :fullscreen="$vuetify.breakpoint.mdAndDown"
      transition="dialog-bottom-transition"
    >
      <v-card>
        <v-card-title class="pa-0">
          <v-toolbar class="elevation-0" dark color="indigo">
            <v-toolbar-title>Feedback</v-toolbar-title>
            <v-spacer></v-spacer>
            <v-toolbar-items>
              <v-icon @click="close">close</v-icon>
            </v-toolbar-items>
          </v-toolbar>
        </v-card-title>
        <v-card-text>
          <h3 class="mb-3">Texto Original</h3>
          <div v-html="feedback.text.value"></div>
          <h3 class="my-3">Texto Traduzido</h3>
          <div v-html="feedback.text.translation"></div>
        </v-card-text>
        <v-divider></v-divider>
        <v-card-actions>
          <v-spacer></v-spacer>
          <v-btn color="indigo" flat @click="close">Close</v-btn>
        </v-card-actions>
      </v-card>
    </v-dialog>
  </v-layout>
</template>

<script>
export default {
  props: {
    feedback: {
      type: Object,
      default: () => ({}),
    },
    show: {
      type: Boolean,
      default: () => false,
    },
  },
  methods: {
    close() {
      this.$emit('close');
    },
  },
};
</script>
